Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3572)
@@ -0,0 +1,274 @@
+// Copyright © 2010-2020 ENS de Lyon., University of Franche-Comté
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+//
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+//
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+//
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+//
+//
+//
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$
+//
+package org.txm.rcp.handlers.export;
+
+import java.io.BufferedReader;
+import java.io.File;
+import java.lang.reflect.Constructor;
+import java.util.Arrays;
+import java.util.HashMap;
+import java.util.LinkedHashMap;
+import java.util.Properties;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Platform;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.FileDialog;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.osgi.framework.Bundle;
+import org.txm.Toolbox;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.utils.DeleteDir;
+import org.txm.utils.io.IOUtils;
+import org.txm.utils.logger.Log;
+import org.txm.utils.zip.Zip;
+
+/**
+ * export a result of a result by calling the function toTxt(File f) then show
+ * the result in the text editor @ author mdecorde.
+ */
+public class ImportCommand extends AbstractHandler {
+	
+	/**
+	 * Export a TXM result parameters in the preferences format
+	 *
+	 * @param event the event
+	 * @return the object
+	 * @throws ExecutionException the execution exception
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		final Object s = selection.getFirstElement();
+		if (!(s instanceof TXMResult)) {
+			return null;
+		}
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+		
+		// String txmhome = Toolbox.getTxmHomePath();
+		FileDialog dialog = new FileDialog(shell, SWT.OPEN);
+		
+		String extensions[] = { "*.txmcmd" }; //$NON-NLS-1$
+		dialog.setFilterExtensions(extensions);
+		
+		if (LastOpened.getFile(ImportCommand.class.getName()) != null) {
+			dialog.setFilterPath(LastOpened.getFolder(ImportCommand.class.getName()));
+		}
+		try {
+			if (dialog.open() != null) {
+				StatusLine.setMessage("Importing results...");
+				String filepath = dialog.getFilterPath()+ "/" + dialog.getFileName(); //$NON-NLS-1$
+				
+				final File zipfile = new File(filepath);
+				File outdir = new File(Toolbox.getTxmHomePath(),  "results/import");
+				DeleteDir.deleteDirectory(outdir);
+				
+				Zip.decompress(zipfile, outdir, false);
+				
+				LinkedHashMap<File, Properties> fileToProperties = new LinkedHashMap<>(); // to retrieve a new result from its old uuid
+				HashMap<String, File> oldUUIDToPropertiesFile = new HashMap<>(); // to retrieve a new result from its old uuid
+				HashMap<String, String> oldUUIDToNewUUID = new HashMap<>(); // to retrieve a new result from its old uuid
+				HashMap<String, String> UUIDDependencies = new HashMap<>(); // to -> from, if from is null use the selected TXMResult as parent
+				
+				File[] files = outdir.listFiles();
+				Arrays.sort(files);
+				
+				for (File parametersFile : files) { // read parameters files
+					if (!parametersFile.getName().endsWith(".parameters")) continue;
+					
+					Properties props = new Properties();
+					BufferedReader r = IOUtils.getReader(parametersFile);
+					props.load(r);
+					r.close();
+					
+					fileToProperties.put(parametersFile, props);
+					String UUID = props.getProperty(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+					oldUUIDToPropertiesFile.put(UUID, parametersFile);
+				}
+				
+				for (File parametersFile : outdir.listFiles()) { // build imported results dependency
+					// if (TXMPreferences.PARENT_PARAMETERS_NODE_PATH.equals(ps)) continue;
+					//if (TXMPreferences.RESULT_PARAMETERS_NODE_PATH.equals(ps)) continue;
+					Properties props = fileToProperties.get(parametersFile);
+					String UUID = props.getProperty(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+					String parentUUID = props.getProperty(TXMPreferences.PARENT_PARAMETERS_NODE_PATH);
+					if (!oldUUIDToPropertiesFile.containsKey(parentUUID)) {
+						UUIDDependencies.put(UUID, null);
+					} else {
+						UUIDDependencies.put(UUID, parentUUID);
+					}
+				}
+				
+				JobHandler jobhandler = new JobHandler(TXMUIMessages.importStarted) {
+					
+					@Override
+					protected IStatus run(IProgressMonitor monitor) {
+						
+						for (File parametersFile: fileToProperties.keySet()) {
+							TXMResult importedResult = null;
+							try {
+								this.runInit(monitor);
+								monitor.beginTask(TXMUIMessages.exporting, 100);
+								
+								TXMResult defaultParentResult = (TXMResult) s;
+								
+								Properties props = fileToProperties.get(parametersFile);
+								String UUID = props.getProperty(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+								
+//								String name = props.getProperty(TXMPreferences.LAZY_NAME);
+//								String clazzName = props.getProperty(TXMPreferences.CLASS);
+//								String username = props.getProperty(TXMPreferences.USER_NAME);
+//								for (TXMResult r : defaultParentResult.getDeepChildren()) {
+//									if (r.getClass().getName().equals(clazzName) && (r.getLazyName().equals(name) || r.getUserName().equals(username))) {
+//										System.out.println("FOUND RESULT ? ="+r);
+//										importedResult = r;
+//										UUIDDependencies.put(UUID, r.getParametersNodePath());
+//										break;
+//									}
+//								}
+//								
+//								if (importedResult != null) {
+//									System.out.println("IMPORTED RESULT WAS ALREADY HERE");
+//									break;
+//								}
+								
+								String className = props.getProperty(TXMPreferences.CLASS, ""); //$NON-NLS-1$ //$NON-NLS-2$
+								if (className == null || className.length() == 0) {
+									Log.warning(NLS.bind("Warning: can not import object with no class name set with path={0}.", parametersFile)); //$NON-NLS-1$
+									continue;
+								}
+								String bundleId = props.getProperty(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
+								if (bundleId == null || bundleId.length() == 0) {
+									Log.warning(NLS.bind("Warning: can not import {0} object with no bundle id set.", parametersFile)); //$NON-NLS-1$
+									continue;
+								}
+								Bundle bundle = Platform.getBundle(bundleId);
+								if (bundle == null) {
+									Log.warning(NLS.bind("Warning: can not import {0} object with bundle id={1}.", className, parametersFile)); //$NON-NLS-1$
+									continue;
+								}
+								
+								Class<?> cl = bundle.loadClass(className);
+								
+								String resultNodePath = defaultParentResult.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_" + cl.getSimpleName();
+								Log.info("Importing a "+cl.getSimpleName()+" from "+resultNodePath);
+								TXMResult parent = null;
+								
+								if (parent == null && UUIDDependencies.get(UUID) != null) {
+									parent = TXMResult.getResult(oldUUIDToNewUUID.get(UUIDDependencies.get(UUID)));
+								} else {
+									parent = defaultParentResult;
+								}
+								
+								Constructor<?> cons = cl.getConstructor(String.class);
+								
+								// fill the preference node with the right parameter **and then** set the right parent node path 
+								for (Object p : props.keySet()) {
+									String ps = p.toString();
+									TXMPreferences.put(resultNodePath, ps, props.getProperty(ps, ""));
+								}
+								TXMPreferences.put(resultNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, parent.getParametersNodePath());
+								
+								// this should create the right TXMResult, parameters string values are set
+								importedResult = (TXMResult) cons.newInstance(resultNodePath);
+								importedResult.autoLoadParametersFromAnnotations(); // update java parameters
+								importedResult.loadParameters();
+								
+								oldUUIDToNewUUID.put(UUID, resultNodePath);
+								
+								//						if (r.importParameters(outfile)) {
+								//							CorporaView.refreshObject(r);
+								//							System.out.println(NLS.bind("Parameter imported from the {0} file.", outfile)); //$NON-NLS-1$
+								//								
+								//							this.syncExec(new Runnable() {
+								//
+								//								@Override
+								//								public void run() {
+								//									SWTEditorsUtils.refreshEditors(r);
+								//								}
+								//							});
+								//						}
+							}
+							catch (ThreadDeath td) {
+								if (importedResult != null) {
+									importedResult.delete();
+								}
+								return Status.CANCEL_STATUS;
+							}
+							catch (Exception e) {
+								Log.info(NLS.bind("Error while loading result {0}: {1}", s, e));
+								org.txm.utils.logger.Log.printStackTrace(e);
+								if (importedResult != null) {
+									importedResult.delete();
+								}
+								//return Status.CANCEL_STATUS;
+							}
+							
+						}
+						monitor.done();
+						JobsTimer.stopAndPrint();
+						
+						this.syncExec(new Runnable() {
+							
+							@Override
+							public void run() {
+								
+								CorporaView.refresh();
+							}
+						});
+						return Status.OK_STATUS;
+					}
+				};
+				
+				jobhandler.startJob();
+			}
+			
+		}
+		catch (Exception e1) {
+			// TODO Auto-generated catch block
+			e1.printStackTrace();
+			return null;
+		}
+		return null;
+	}
+}

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameter.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameter.java	(revision 3571)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameter.java	(revision 3572)
@@ -60,8 +60,6 @@
  */
 public class ImportResultParameter extends AbstractHandler {
 	
-	private static final String ID = ImportResultParameter.class.getName();
-	
 	/**
 	 * Export a TXM result parameters in the preferences format
 	 *
@@ -84,8 +82,8 @@
 		String extensions[] = { "*.parameters" }; //$NON-NLS-1$
 		dialog.setFilterExtensions(extensions);
 		
-		if (LastOpened.getFile(ID) != null) {
-			dialog.setFilterPath(LastOpened.getFolder(ID));
+		if (LastOpened.getFile(ImportResultParameter.class.getName()) != null) {
+			dialog.setFilterPath(LastOpened.getFolder(ImportResultParameter.class.getName()));
 		}
 		
 		if (dialog.open() != null) {
@@ -96,7 +94,7 @@
 			}
 			
 			final File outfile = new File(filepath);
-			LastOpened.set(ID, outfile.getParent(), outfile.getName());
+			LastOpened.set(ImportResultParameter.class.getName(), outfile.getParent(), outfile.getName());
 			try {
 				outfile.createNewFile();
 			}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommand.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommand.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommand.java	(revision 3572)
@@ -0,0 +1,185 @@
+// Copyright © 2010-2020 ENS de Lyon., University of Franche-Comté
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+//
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+//
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+//
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+//
+//
+//
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$
+//
+package org.txm.rcp.handlers.export;
+
+import java.io.File;
+import java.util.ArrayList;
+import java.util.HashSet;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.core.runtime.SubMonitor;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.utils.DeleteDir;
+import org.txm.utils.logger.Log;
+import org.txm.utils.zip.Zip;
+
+/**
+ * export a result of a result by calling the function toTxt(File f) then show
+ * the result in the text editor @ author mdecorde.
+ */
+public class ExportCommand extends AbstractHandler {
+	
+	/**
+	 * Export a TXM result parameters in the preferences format
+	 *
+	 * @param event the event
+	 * @return the object
+	 * @throws ExecutionException the execution exception
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		
+		Object o = selection.getFirstElement();
+		if (selection .isEmpty() || !(o instanceof TXMResult)) {
+			Log.warning("Slection must be a TXMResult");
+		}
+		
+		TXMResult result = (TXMResult)o;
+		
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+		
+		ExportCommandDialog dialog = new ExportCommandDialog(shell, result);
+		
+		if (dialog.open() == dialog.OK) {
+			StatusLine.setMessage(TXMUIMessages.exportingResults);
+			
+			
+			String filepath = dialog.getZipFile().getAbsolutePath();
+			if (!(filepath.endsWith(".txmcmd"))) {
+				filepath += filepath + ".txmcmd";
+			}
+			
+			final File zipfiledir = new File(filepath); // temporary directory to setup the archive
+			LastOpened.set(ExportCommand.class.getName(), zipfiledir.getParent(), zipfiledir.getName()); 
+			zipfiledir.delete();
+			zipfiledir.mkdirs();
+			
+			final File zipfile = new File(filepath+".tmp");
+			
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.exportingResults) {
+				
+				@Override
+				protected IStatus run(IProgressMonitor monitor) {
+					
+					// convert the monitor into sub-monitor
+					SubMonitor subMonitor = SubMonitor.convert(monitor, TXMUIMessages.exporting, 100);
+					this.runInit(subMonitor);
+					
+					try {
+						
+						HashSet<TXMResult> toExport = new HashSet<TXMResult>();
+						for (Object o : selection.toList()) {
+							if (!(o instanceof TXMResult)) continue;
+							TXMResult r = (TXMResult)o;
+							toExport.add(r);
+							TXMResult parent = ((TXMResult)o).getParent();
+							
+							// add invisible parents to rebuild the result
+							while(parent != null && !parent.isVisible()) { // insivisble parent must be added to the exported results
+								
+								toExport.add(parent);
+								parent = parent.getParent();
+							}
+							
+							// add children 
+							if (dialog.getExportChildren()) {
+								for (TXMResult c : r.getDeepChildren()) {
+									toExport.add(c);
+								}
+							}
+							
+							// add parents 
+							if (dialog.getExportParents()) {
+								TXMResult p = r.getParent();
+								while (p != null && (!(p instanceof MainCorpus))) {
+									toExport.add(p);
+									p = p.getParent();
+								}
+							}
+						}
+						
+						ArrayList<File> files = new ArrayList<>();
+						for (TXMResult r : toExport) {
+							
+							if (r.isAltered()) {
+								System.out.println(TXMUIMessages.ExportResultParameters_WarningOnlyTheParametersAreExportedManualChangesAreNotTransfered);
+							}
+							else {
+								r.compute(subMonitor); // refresh result
+							}
+							
+							File outfile = new File(zipfiledir, (TXMPreferences.getNode(r.getParametersNodePath()).name()+".parameters"));
+							if (r.toParametersFile(outfile)) {
+								files.add(outfile);
+							}
+						}
+						
+						System.out.println(NLS.bind(TXMUIMessages.ExportResultParameters_ParametersExportedToTheP0File, zipfiledir));
+						Zip.compress(files.toArray(new File[files.size()]), zipfile, Zip.DEFAULT_LEVEL_COMPRESSION, null, null);
+						DeleteDir.deleteDirectory(zipfiledir);
+						zipfile.renameTo(zipfiledir);
+					}
+					catch (ThreadDeath td) {
+						
+						return Status.CANCEL_STATUS;
+					}
+					catch (Exception e) {
+						System.out.println(NLS.bind(TXMUIMessages.failedToExportResultP0ColonP1, selection.toList(), e));
+						org.txm.utils.logger.Log.printStackTrace(e);
+						return Status.CANCEL_STATUS;
+					}
+					finally {
+						subMonitor.done();
+						JobsTimer.stopAndPrint();
+					}
+					return Status.OK_STATUS;
+				}
+			};
+			
+			jobhandler.startJob();
+		}
+		return null;
+	}
+}

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3572)
@@ -0,0 +1,181 @@
+package org.txm.rcp.handlers.export;
+
+import java.io.File;
+import java.util.Calendar;
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.dialogs.IDialogConstants;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.FileDialog;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.swt.widgets.Text;
+import org.txm.Toolbox;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+
+/**
+ * 
+ * Allow to select the file to create and select elements to include in the binary
+ * 
+ */
+public class ExportCommandDialog extends Dialog {
+	
+	private File zipFile;
+	
+	private TXMResult result;
+	
+	private Text textField;
+	
+	private Button selectButton;
+
+	private Button exportChildrenButton;
+
+	private Button exportParentsButton;
+
+	private boolean exportParents;
+
+	private boolean exportChildren;
+	
+	public final static String ID = ExportCommandDialog.class.getName();
+	
+	/**
+	 * 
+	 * @param parentShell
+	 * @param title
+	 * @param question
+	 * @param text
+	 */
+	public ExportCommandDialog(Shell parentShell, TXMResult result) {
+		super(parentShell);
+		this.result = result;
+	}
+	
+	@Override
+	protected void configureShell(Shell newShell) {
+		super.configureShell(newShell);
+		newShell.setText(NLS.bind("Exporting command {0}", result.getName()));
+		newShell.setMinimumSize(400, 300);
+	}
+	
+	@Override
+	protected Control createDialogArea(Composite parent) {
+		
+		Composite comp = (Composite) super.createDialogArea(parent);
+		
+		GridLayout layout = (GridLayout) comp.getLayout();
+		layout.numColumns = 3;
+		
+		Label l = new Label(comp, SWT.LEFT);
+		l.setText("Output file");
+		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false));
+		
+		textField = new Text(comp, SWT.SINGLE | SWT.BORDER);
+		textField.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		String previousPath = TXMPreferences.getString("path", ExportCommandDialog.class.getName()); //$NON-NLS-1$
+		if (previousPath == null || previousPath.length() == 0) {
+			previousPath = System.getProperty("user.home"); // //$NON-NLS-1$
+		}
+		textField.setText(previousPath + "/" + result.getProject().getName().toUpperCase() + "-" +result.getResultType() + "-" +result.getValidFileName() + "-"+ Toolbox.dateformat.format(Calendar.getInstance().getTime()) + ".txmcmd"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		
+		selectButton = new Button(comp, SWT.PUSH);
+		selectButton.setText("..."); //$NON-NLS-1$
+		selectButton.addSelectionListener(new SelectionListener() {
+			
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				FileDialog dialog = new FileDialog(selectButton.getShell(), SWT.SAVE);
+				
+				String[] exts = { "*.txmcmd"}; //$NON-NLS-1$ //$NON-NLS-2$
+				dialog.setFilterExtensions(exts);
+				String path = textField.getText();
+				if (path != null && path.length() > 0) {
+					File p = new File(path);
+					if (p.isDirectory()) {
+						dialog.setFilterPath(textField.getText());
+					}
+					else {
+						dialog.setFilterPath(p.getParent());
+						dialog.setFileName(p.getName());
+					}
+				}
+				
+				path = dialog.open();
+				if (path != null) {
+					textField.setText(path);
+					File dir = new File(path).getParentFile();
+					getButton(IDialogConstants.OK_ID).setEnabled(dir.exists());
+					TXMPreferences.put(ExportCommandDialog.class.getName(), "path", dir.getAbsolutePath()); //$NON-NLS-1$
+				}
+			}
+			
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {}
+		});
+		
+		l = new Label(comp, SWT.LEFT);
+		l.setText("Options");
+		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false, 3, 1));
+		
+		exportParentsButton = new Button(comp, SWT.CHECK);
+		exportParentsButton.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false, 3, 1));
+		exportParentsButton.setText("Also export result parents hierarchy"); //$NON-NLS-1$
+		
+		exportChildrenButton = new Button(comp, SWT.CHECK);
+		exportChildrenButton.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false, 3, 1));
+		exportChildrenButton.setText("Also export result children"); //$NON-NLS-1$
+		
+		return comp;
+	}
+	
+	@Override
+	protected boolean isResizable() {
+		return true;
+	}
+	
+	@Override
+	protected void buttonPressed(int buttonId) {
+		
+		if (buttonId == Dialog.OK) {
+			zipFile = new File(textField.getText());
+			exportParents = exportParentsButton.getSelection();
+			exportChildren = exportChildrenButton.getSelection();
+		} else {
+			zipFile = null;
+			exportParents = false;
+			exportChildren = false;
+		}
+		super.buttonPressed(buttonId);
+	}
+	
+	/**
+	 * 
+	 * @return the ZIP file to create
+	 */
+	public File getZipFile() {
+		return zipFile;
+	}
+	
+	/**
+	 * 
+	 * @return true if the result children must be exported
+	 */
+	public boolean getExportChildren() {
+		return exportChildren;
+	}
+	
+	/**
+	 * 
+	 * @return true if the result parents must be exported
+	 */
+	public boolean getExportParents() {
+		return exportParents;
+	}
+}

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3571)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3572)
@@ -55,8 +55,12 @@
 	public static String FailedToOpenTheEditorNoContextGiven;
 
 	public static String FileTreeContentProvider_4;
+	
+	public static String common_all;
 
-	public static String ForceUpdateOfNonModifiedTexts;
+	public static String allTexts;
+	
+	public static String withModifications;
 
 	public static String Forward;
 	
@@ -1482,7 +1486,11 @@
 	public static String YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue;
 
 	public static String openingP0etc;
+
+	public static String corpusToProcess;
 	
+	public static String textsToProcess;
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMUIMessages.class);
Index: TXM/trunk/org.txm.core.tests/projectSet.psf
===================================================================
--- TXM/trunk/org.txm.core.tests/projectSet.psf	(revision 3571)
+++ TXM/trunk/org.txm.core.tests/projectSet.psf	(revision 3572)
@@ -33,7 +33,7 @@
 <project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.concordance.core,org.txm.concordance.core,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
 <project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.concordance.feature,org.txm.concordance.feature,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
 <project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.concordance.rcp,org.txm.concordance.rcp,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
-<project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.connlu.core,org.txm.conllu.core,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
+<project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.conllu.core,org.txm.conllu.core,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
 <project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.conllu.feature,org.txm.conllu.feature,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
 <project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.conllu.rcp,org.txm.conllu.rcp,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
 <project reference="1.0.1,https://forge.cbp.ens-lyon.fr/svn/txm/TXM/trunk/org.txm.cooccurrence.chartsengine,org.txm.cooccurrence.chartsengine,301a722c9435001c11f0c7133adee6fa;https://forge.cbp.ens-lyon.fr/svn/txm/;https://forge.cbp.ens-lyon.fr/svn/txm/;branches;tags;trunk;true;865c2c80-10f3-4e06-9fd7-61c4de9d188b;https://forge.cbp.ens-lyon.fr/svn/txm;;false;&lt;https://forge.cbp.ens-lyon.fr:443&gt; Redmine SVN Repository;;0"/>
